Cara Membuat Seedbox Torrent Leech – Bagian Ketiga

Artikel ini dapat diunduh dalam format MS Word dan PDF, klik icon disamping ini:
Ikon MS WordIkon PDF

 
Deluge adalah sebuah torrent client yang dapat beroperasi baik di Linux, Unix, Windows dan Mac. Menggunakan libtorrent rasterbar sebagai enginenya, sama seperti Qbittorrent. Antarmuka pengguna yang disediakan diantaranya adalah GUI desktop dengan GTK+, WebUI, dan CLI, yang memang di desain menggunakan model client-server dengan proses daemon untuk menangani aktifitas bittorrent. Daemon dari Deluge dapat berjalan dalam mode headless dengan antarmuka user yang dapat diremote dari bermacam platform.

Fitur-fitur yang diberikan oleh Deluge diantaranya adalah:

  • Dukungan ekstensi DHT yang kompatibel dengan Mainline
  • Peer Exchange (PeX) yang kompatibel dengan uTorrent
  • Dukungan ekstensi LPD, FAST, dan µTP
  • Dukungan magnet link
  • Dukungan HTTPS dan UDP tracker, dan Web seed
  • Port mapping otomatis melalui UPnP atau NAT-PMP
  • Download selektif
  • Torrent queuing
  • Dan fitur-fitur lainnya yang disediakan oleh engine Libtorrent

Logo Deluge BitTorrent
Gambar 1. Logo dari klien torrent Deluge

Deluge juga bisa ditambahkan plugin-plugin yang dapat memperkaya fungsionalitasnya. Karena, pada dasarnya memang fungsi dari Deluge bisa disediakan dalam bentuk plugin. Selain itu Deluge tidak di desain khusus hanya untuk berjalan pada Desktop Environtment tertentu saja.

Instalasi Deluge Dengan Antarmuka Web

Antarmuka WebUI Deluge
Gambar 2. Tampilan antarmuka webui deluge

Deluge dapat diinstal pada VPS secara headless, sehingga tidak memerlukan lingkungan desktop untuk menjalankannya. Selain itu, dengan mode headless juga dapat mengurangi penggunaan resource cpu dan memori. Dan seperti biasa, tutorial ini dapat diterapkan bagi pengguna Ubuntu. Untuk pengguna Debian perlu sedikit penyesuaian, kamu bisa melihatnya dengan mendownload tutorial ini yang tersedia dalam bentuk PDF.

Untuk memulai instalasi, terlebih dahulu login ke console atau terminal dengan akses root menggunakan putty ataupun bitvise, setelah itu ketikkan perintah berikut:

root@sgpssh3:~# add-apt-repository ppa:deluge-team/ppa
root@sgpssh3:~# apt-get update
root@sgpssh3:~# apt-get install deluged deluge-webui deluge-console

Apabila terdapat error dalam menambahkan repositori dari PPA, kamu bisa mengetikkan perintah dibawah ini:

root@sgpssh3:~# apt-get install python-software-properties

Sampai disini, selanjutnya diperlukan konfigurasi settingan yang dapat dilakukan menggunakan aplikasi teks editor misalnya nano, atau menggunakan Webmin. Agar Deluge dapat dijalankan secara otomatis ketika server di boot, buat script berikut pada /etc/default/deluge-daemon.

# Configuration for /etc/init.d/deluge-daemon
 
# The init.d script will only run if this variable non-empty.
DELUGED_USER=""             # !!!CHANGE THIS!!!!
 
# Should we run at startup?
RUN_AT_STARTUP="YES"

Kemudian selanjutnya membuat init script yang diletakkan di etc/init.d/deluge-daemon, seperti contoh dibawah ini:

[expand title=”init script deluge“]

#!/bin/sh
### BEGIN INIT INFO
# Provides:          deluge-daemon
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Should-Start:      $network
# Should-Stop:       $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description:       Starts the deluge daemon with the user specified in
#                    /etc/default/deluge-daemon.
### END INIT INFO
 
# Author: Adolfo R. Brandes 
 
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="Deluge Daemon"
NAME1="deluged"
NAME2="deluge"
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS="-d"             # Consult `man deluged` for more options
DAEMON2=/usr/bin/deluge-web
DAEMON2_ARGS=""               # Consult `man deluge-web` for more options
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
UMASK=022                     # Change this to 0 if running deluged as its own user
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME
 
# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0
 
# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME
 
# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
 
if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
   log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
   exit 0
fi
 
if [ -z "$DELUGED_USER" ]
then
    log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
    exit 0
fi
 
#
# Function that starts the daemon/service
#
do_start()
{
   # Return
   #   0 if daemon has been started
   #   1 if daemon was already running
   #   2 if daemon could not be started
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --exec $DAEMON1 
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK --test > /dev/null
   RETVAL1="$?"
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --exec $DAEMON2 
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK --test > /dev/null
   RETVAL2="$?"
   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1
 
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --make-pidfile --exec $DAEMON1 
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK -- $DAEMON1_ARGS
   RETVAL1="$?"
        sleep 2
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --make-pidfile --exec $DAEMON2 
      --chuid $DELUGED_USER --user $DELUGED_USER --umask $UMASK -- $DAEMON2_ARGS
   RETVAL2="$?"
   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
   # Return
   #   0 if daemon has been stopped
   #   1 if daemon was already stopped
   #   2 if daemon could not be stopped
   #   other if a failure occurred
 
   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE2
   RETVAL2="$?"
   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE1
   RETVAL1="$?"
   [ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2
 
   rm -f $PIDFILE1 $PIDFILE2
 
   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}
 
case "$1" in
  start)
   [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
   do_start
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  stop)
   [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
   do_stop
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  restart|force-reload)
   log_daemon_msg "Restarting $DESC" "$NAME1"
   do_stop
   case "$?" in
     0|1)
      do_start
      case "$?" in
         0) log_end_msg 0 ;;
         1) log_end_msg 1 ;; # Old process is still running
         *) log_end_msg 1 ;; # Failed to start
      esac
      ;;
     *)
        # Failed to stop
      log_end_msg 1
      ;;
   esac
   ;;
  *)
   echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
   exit 3
   ;;
esac
 
:

[/expand]

Buatlah agar script dapat dieksekusi dan dapat berjalan saat startup.

root@sgpssh3:~# chmod 755 /etc/init.d/deluge-daemon
root@sgpssh3:~# update-rc.d deluge-daemon defaults

Selanjutnya, dua perintah dibawah ini dipergunakan untuk menginisialisasi file sebelum mengeditnya di kemudian waktu:

root@sgpssh3:~# invoke-rc.d deluge-daemon start
root@sgpssh3:~# /etc/init.d/deluge-daemon stop

Agar proses daemon Deluge bisa diakses, kamu dapat mengaktifkan remote access menggunakan username yang sama seperti user Deluge. Ketik perintah berikut:

root@sgpssh3:~# deluge-console

Kemudian setelah masuk di dalam console, ketikkan:

root@sgpssh3:~# config -s allow_remote True

Dan selanjutnya, untuk mengkonfigurasi username dan password untuk login ke Deluge, ikut perintah berikut:

root@sgpssh3:~# echo "username:password:10" >> ~/.config/deluge/auth

Selanjutnya kamu bisa mulai untuk menjalankan daemon dengan perintah berikut:

root@sgpssh3:~# c

Kamu sekarang bisa mengakses WebUI dengan mengetikkan alamat ip server yang kamu gunakan dengan port 8112. Default password adalah “deluge”. Selanjutnya settingan lain bisa diatur pada menu preferences di WebUI-nya.

Instalasi Deluge Dengan Antarmuka GUI Desktop

Deluge Desktop GUI GTK
Gambar 3. Tampilan antarmuka desktop gui Deluge

Sebelum lanjut ke instalasi Deluge dalam mode GUI, server yang kamu gunakan harus sudah terpasang dengan GUI desktop (lihat tutorial cara instalasi GUI desktop di server Linux).

Selanjutnya kamu dapat mengetikkan perintah berikut:

root@sgpssh3:~# add-apt-repository ppa:deluge-team/ppa
root@sgpssh3:~# apt-get update
root@sgpssh3:~# apt-get install deluge deluge-gtk deluge-common

Secara otomatis akan terinstal juga dependency yang dibutuhkan. Kemudian kamu bisa mencoba melihat tampilan GUI-nya dengan mengakses VNC. Instalasi Deluge dengan interface GTK tidak sampai 5 menit, mudah dan singkat bukan?

Setingan dan konfigurasi dapat dilakukan dengan mengklik menu Edit > Preferences, begitupula jika kamu ingin menambahkan pluginnya, cukup dengan klik saja.

Bagaimana dengan instalasi Deluge di Centos?
Untuk instalasi secara headless (tanpa GUI) bisa mengambil dari repo pkgrepo.linuxtech.net. Namun untuk instalasi menggunakan GUI akan lebih boros resource, sebab di Centos tidak banyak pilihan GUI desktop ringan yang dapat diinstal secara langsung.

Centos lebih banyak digunakan oleh kalangan sys-admin, webmaster, yang memiliki pemahaman lebih banyak dengan Linux melalui command-line. Oleh karena itu tidak banyak aplikasi desktop yang tersedia secara langsung di Centos. Untuk pemula yang memang ingin belajar Centos, mungkin bisa mencoba Fedora terlebih dahulu yg memiliki basis yang sama.

Sampai disini pembahasan mengenai instalasi Deluge di VPS. Pada artikel selanjutnya akan dibahas mengenai cara instal rTorrent di yang populer digunakan dikalangan provider SeedBox Hosting.

Artikel Terkait

[related_posts limit=”5″]

 

2 Comments

  1. Raka 05 Apr 2015 14:23
    • Venantius venantius 05 Apr 2015 14:57

Leave a Reply